For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Artifact

Returns the Artifact by Digest.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
digeststring · max: 128Required

The Digest of the Artifact.

Example: sha256:12345678901234567890123456789012
Responses
200

Getting Artifact was successful.

application/json
idstringRequired

The digest of the artifact

Example: sha256:12345678901234567890123456789012
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012
get/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}
GET /containerregistries/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "sha256:12345678901234567890123456789012",
  "type": "artifact",
  "href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "lastPushedAt": "2026-01-01T00:00:00.000Z",
    "lastPulledAt": "2026-01-01T00:00:00.000Z",
    "lastScannedAt": "2026-01-01T00:00:00.000Z",
    "pushCount": 1,
    "pullCount": 42,
    "vulnMaxSeverity": "high",
    "vulnTotalScore": 9.8,
    "vulnTotalCount": 20,
    "vulnFixableCount": 10
  },
  "properties": {
    "repositoryName": "my-service",
    "digest": "sha256:12345678901234567890123456789012",
    "tags": [
      "latest",
      "1.0.0"
    ],
    "mediaType": "application/vnd.oci.image.manifest.v1+json"
  }
}

Last updated

Was this helpful?